/*
 * Class RT_DBG_FIELD_RECORD [CHARACTER_32]
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_821 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_1_821 [] = {0xFF01,237,820,182,0xFFFF};
static const EIF_TYPE_INDEX egt_2_821 [] = {0xFF01,820,182,0xFFFF};
static const EIF_TYPE_INDEX egt_3_821 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_821 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_821 [] = {0xFF01,820,182,0xFFFF};
static const EIF_TYPE_INDEX egt_6_821 [] = {0xFF01,820,182,0xFFFF};
static const EIF_TYPE_INDEX egt_7_821 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_821 [] = {0xFF01,14,0xFFFF};
static const EIF_TYPE_INDEX egt_9_821 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_10_821 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_11_821 [] = {0xFF01,15,0xFFFF};
static const EIF_TYPE_INDEX egt_12_821 [] = {820,182,0xFFFF};
static const EIF_TYPE_INDEX egt_13_821 [] = {0xFF01,820,182,0xFFFF};
static const EIF_TYPE_INDEX egt_14_821 [] = {0xFF01,261,0xFF01,236,0xFFFF};
static const EIF_TYPE_INDEX egt_15_821 [] = {261,0xFF01,236,0xFFFF};
static const EIF_TYPE_INDEX egt_16_821 [] = {0xFF01,137,0xFFFF};
static const EIF_TYPE_INDEX egt_17_821 [] = {0xFF01,132,0xFFFF};
static const EIF_TYPE_INDEX egt_18_821 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_19_821 [] = {0xFFF9,2,174,206,206,0xFFFF};
static const EIF_TYPE_INDEX egt_20_821 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_21_821 [] = {0xFF01,0,0xFFFF};
static const EIF_TYPE_INDEX egt_22_821 [] = {0xFF02,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_23_821 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_24_821 [] = {0xFF02,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_25_821 [] = {0xFFF8,1,0xFFFF};


static const struct desc_info desc_821[] = {
	{EIF_GENERIC(NULL), 12329, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_821), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_821), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_821), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_821), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_821), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_821), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_821), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_821), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_821), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_821), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_821), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_821), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_821), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01AF /*215*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_821), 30, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1033, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1034, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 2680, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 2681, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 2682, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 2683, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 2684, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 2685, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 2686, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 2662, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 2663, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 2664, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 2665, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 2666, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 2667, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 2668, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 2669, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 2670, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 2671, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 2672, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 2673, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 2674, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 2675, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 2676, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 2677, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 2678, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 2679, 0xFFFFFFFF},
	{EIF_GENERIC(egt_14_821), 1073, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 11798, 0xFFFFFFFF},
	{EIF_GENERIC(egt_15_821), 11799, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 11800, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 11801, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01B9 /*220*/), 11802, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01 /*0*/), 11760, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01 /*0*/), 11761, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 11762, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 11763, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01D9 /*236*/), 11764, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01D9 /*236*/), 11765, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01D9 /*236*/), 11766, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 11767, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 11768, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0191 /*200*/), 11769, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 11770, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11771, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01 /*0*/), 11772, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 11773, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 11774, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 11775, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 11776, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 11777, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 11778, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 11779, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 11780, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 11781, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 11782, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 11783, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 11784, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 11785, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 11786, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 11787, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 11788, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 11789, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 11790, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 11791, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 11792, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11793, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11794, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11795, 0xFFFFFFFF},
	{EIF_GENERIC(egt_16_821), 11796, 0xFFFFFFFF},
	{EIF_GENERIC(egt_17_821), 11797, 0xFFFFFFFF},
	{EIF_GENERIC(egt_18_821), 11909, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 11911, 12},
	{EIF_NON_GENERIC(0x019D /*206*/), 11912, 16},
	{EIF_GENERIC(egt_19_821), 11913, 0},
	{EIF_NON_GENERIC(0x01D9 /*236*/), 12333, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01 /*0*/), 12319, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 12320, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 12321, 0xFFFFFFFF},
	{EIF_GENERIC(egt_20_821), 12322, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11910, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12323, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12324, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12325, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12330, 0xFFFFFFFF},
	{EIF_GENERIC(egt_21_821), 12331, 4},
	{EIF_GENERIC(egt_22_821), 12332, 8},
	{EIF_GENERIC(NULL), 12326, 0xFFFFFFFF},
	{EIF_GENERIC(egt_23_821), 12327, 0xFFFFFFFF},
	{EIF_GENERIC(egt_24_821), 12328, 0xFFFFFFFF},
	{EIF_GENERIC(egt_25_821), -1, 0xFFFFFFFF},
};
void Init821(void)
{
	IDSC(desc_821, 0, 820);
	IDSC(desc_821 + 1, 1, 820);
	IDSC(desc_821 + 32, 330, 820);
	IDSC(desc_821 + 34, 82, 820);
	IDSC(desc_821 + 59, 309, 820);
	IDSC(desc_821 + 60, 334, 820);
	IDSC(desc_821 + 103, 336, 820);
	IDSC(desc_821 + 104, 150, 820);
	IDSC(desc_821 + 116, 148, 820);
}


#ifdef __cplusplus
}
#endif
